Linux Security
Linux Security
Linux Security

openSUSE: 2021:0373-1 important: MozillaFirefox

Date 02 Mar 2021
126
Posted By LinuxSecurity Advisories
An update that fixes four vulnerabilities is now available.

   openSUSE Security Update: Security update for MozillaFirefox
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2021:0373-1
Rating:             important
References:         #1182357 #1182614 
Cross-References:   CVE-2021-23968 CVE-2021-23969 CVE-2021-23973
                    CVE-2021-23978
CVSS scores:
                    CVE-2021-23968 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
                    CVE-2021-23969 (SUSE): 7.5 CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
                    CVE-2021-23973 (SUSE): 3.1 CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:N/A:N
                    CVE-2021-23978 (SUSE): 8.1 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

Affected Products:
                    openSUSE Leap 15.2
______________________________________________________________________________

   An update that fixes four vulnerabilities is now available.

Description:

   This update for MozillaFirefox fixes the following issues:

   - Firefox Extended Support Release 78.8.0 ESR
     * Fixed: Various stability, functionality, and security fixes MFSA
       2021-08 (bsc#1182614)
     * CVE-2021-23969: Content Security Policy violation report could have
       contained the destination of a redirect
     * CVE-2021-23968: Content Security Policy violation report could have
       contained the destination of a redirect
     * CVE-2021-23973: MediaError message property could have leaked
       information about cross-origin resources
     * CVE-2021-23978: Memory safety bugs fixed in Firefox 86 and Firefox ESR
       78.8

   This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.2:

      zypper in -t patch openSUSE-2021-373=1



Package List:

   - openSUSE Leap 15.2 (x86_64):

      MozillaFirefox-78.8.0-lp152.2.49.1
      MozillaFirefox-branding-upstream-78.8.0-lp152.2.49.1
      MozillaFirefox-buildsymbols-78.8.0-lp152.2.49.1
      MozillaFirefox-debuginfo-78.8.0-lp152.2.49.1
      MozillaFirefox-debugsource-78.8.0-lp152.2.49.1
      MozillaFirefox-devel-78.8.0-lp152.2.49.1
      MozillaFirefox-translations-common-78.8.0-lp152.2.49.1
      MozillaFirefox-translations-other-78.8.0-lp152.2.49.1


References:

   https://www.suse.com/security/cve/CVE-2021-23968.html
   https://www.suse.com/security/cve/CVE-2021-23969.html
   https://www.suse.com/security/cve/CVE-2021-23973.html
   https://www.suse.com/security/cve/CVE-2021-23978.html
   https://bugzilla.suse.com/1182357
   https://bugzilla.suse.com/1182614

Advisories

LinuxSecurity Poll

How frequently do you patch/update your system?

No answer selected. Please try again.
Please select either existing option or enter your own, however not both.
Please select minimum 0 answer(s) and maximum 3 answer(s).
/main-polls/52-how-frequently-do-you-patch-update-your-system?task=poll.vote&format=json
52
radio
[{"id":"179","title":"As soon as patches\/updates are released - I track advisories for my distro(s) diligently","votes":"42","type":"x","order":"1","pct":84,"resources":[]},{"id":"180","title":"Every so often, when I think of it","votes":"4","type":"x","order":"2","pct":8,"resources":[]},{"id":"181","title":"Hardly ever","votes":"4","type":"x","order":"3","pct":8,"resources":[]}] ["#ff5b00","#4ac0f2","#b80028","#eef66c","#60bb22","#b96a9a","#62c2cc"] ["rgba(255,91,0,0.7)","rgba(74,192,242,0.7)","rgba(184,0,40,0.7)","rgba(238,246,108,0.7)","rgba(96,187,34,0.7)","rgba(185,106,154,0.7)","rgba(98,194,204,0.7)"] 350

Please vote first in order to view vote results.

VOTE ON THE POLL PAGE


VIEW MORE POLLS

bottom 200

Please enable / Bitte aktiviere JavaScript!
Veuillez activer / Por favor activa el Javascript![ ? ]

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.